Skip to main content
This endpoint initializes a new chat-based onboarding session. Each session represents one borrower journey.

Endpoint

POST /v1/flow/init

Request headers

Token
string
required
JWT access token obtained from /authtoken.

Request body

application_id
string
required
Your internal identifier for the borrower or application.
product_type
string
required
Defines onboarding flow and required documents.
username
string
required
The name of the borrower who is being onboarded.
external_reference_id
string
required
Your internal identifier for the borrower.
callback_url
string
Webhook URL where Atlas sends final results and data.
chat_notification_url
string
Webhook URL where Atlas sends the chat messages.

Response

session_id
string
Unique identifier for the chat session.

Example

curl --request POST \
  --url https://api.helloatlas.in/v1/flow/init \
  --header "Token: <TOKEN>" \
  --header "Content-Type: application/json" \
  --data '{
    "application_id": "12345",
    "product_type": "POC_CDL"
    "username": "Ajay"
    "external_reference_id": "CDL32786732"
    "callback_url": "https://your-system.example.com/atlas/callback"
    "chat_notification_url": "https://your-system.example.com/atlas/chat"
  }'